package com.xy.entity;

import com.xy.base.BaseEntity;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统属性表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysSystemValue extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 系统id
     */
    private Long sysId;

    /**
     * 属性编码
     */
    private String code;

    /**
     * 属性值
     */
    private String value;

    /**
     * 状态;1=启用 2=禁用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 更新人
     */
    private Long updateUser;


}
