package com.xy.entity;

import com.xy.base.BaseEntity;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 业务用户信息表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysWorkUser extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 权限用户id
     */
    private Long sysUserId;

    /**
     * 账号
     */
    private String account;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 手机
     */
    private String phone;

    /**
     * 密码
     */
    private String password;

    /**
     * 最后登录的账号
     */
    private String lastLoginId;

    /**
     * 最后登录时间
     */
    private LocalDateTime lastLoginTime;

    /**
     * 登录次数
     */
    private Integer loginNum;

    /**
     * 状态;状态 1=启用 2=禁用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 更新人
     */
    private Long updateUser;


}
